Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions
Argus::Point2D< T > Class Template Reference

Point2D template class. More...

`#include <Types.h>`

Inheritance diagram for Argus::Point2D< T >:

List of all members.

## Public Member Functions

| Point2D ()
| Point2D (const Tuple< COORDINATE_2D_COUNT, T > &other)
| Point2D (T init)
| Point2D (T _x, T _y)
T & | x ()
const T & | x () const
T & | y ()
const T & | y () const
Public Member Functions inherited from Argus::Tuple< COORDINATE_2D_COUNT, T >
| Tuple ()
| Tuple (T init)
| Initialize every element of the tuple to a single value.
bool | operator== (const Tuple< N, T > &rhs) const
| Returns true when every element in the two tuples are identical.
bool | operator!= (const Tuple< N, T > &rhs) const
| Returns true if there are any differences between the two tuples.
Tuple< N, T > & | operator+= (const Tuple< N, T > &rhs)
| Adds every element of another tuple to the elements of this tuple.
Tuple< N, T > & | operator-= (const Tuple< N, T > &rhs)
| Subtracts every element of another tuple from the elements of this tuple.
Tuple< N, T > & | operator*= (const T &rhs)
| Multiplies every element in the tuple by a single value.
Tuple< N, T > & | operator/= (const T &rhs)
| Divides every element in the tuple by a single value.
const Tuple< N, T > | operator+ (const Tuple< N, T > &rhs) const
| Returns the result of adding another tuple to this tuple.
const Tuple< N, T > | operator- (const Tuple< N, T > &rhs) const
| Returns the result of subtracting another tuple from this tuple.
const Tuple< N, T > | operator* (const T &rhs) const
| Returns the result of multiplying this tuple by a single value.
const Tuple< N, T > | operator/ (const T &rhs) const
| Returns the result of dividing this tuple by a single value.
T & | operator[] (unsigned int i)
const T & | operator[] (unsigned int i) const

## Additional Inherited Members

Static Public Member Functions inherited from Argus::Tuple< COORDINATE_2D_COUNT, T >
static unsigned int | tupleSize ()
| Returns the number of elements in the tuple.
Protected Attributes inherited from Argus::Tuple< COORDINATE_2D_COUNT, T >
T | m_data [N]

## Detailed Description

### template<typename T>
class Argus::Point2D< T >

Point2D template class.

This is a Tuple specialization containing 2 elements corresponding to the x and y coordinates a 2D point. Values can be accessed using the named methods or subscript indexing using the Argus::Coordinate enum.

Definition at line 637 of file Types.h.

## Constructor & Destructor Documentation

template<typename T>

Argus::Point2D< T >::Point2D | ( |  | ) |

inline

Definition at line 640 of file Types.h.

template<typename T>

Argus::Point2D< T >::Point2D | ( | const Tuple< COORDINATE_2D_COUNT, T > & | other | ) |

inline

Definition at line 641 of file Types.h.

template<typename T>

Argus::Point2D< T >::Point2D | ( | T | init | ) |

inline

Definition at line 643 of file Types.h.

template<typename T>

Argus::Point2D< T >::Point2D | ( | T | _x,
|  | T | _y
| ) |  |

inline

Definition at line 648 of file Types.h.

## Member Function Documentation

template<typename T>

T& Argus::Point2D< T >::x | ( |  | ) |

inline

Definition at line 654 of file Types.h.

template<typename T>

const T& Argus::Point2D< T >::x | ( |  | ) | const

inline

Definition at line 655 of file Types.h.

template<typename T>

T& Argus::Point2D< T >::y | ( |  | ) |

inline

Definition at line 656 of file Types.h.

template<typename T>

const T& Argus::Point2D< T >::y | ( |  | ) | const

inline

Definition at line 657 of file Types.h.

The documentation for this class was generated from the following file:

- include/Argus/Types.h